- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeStringStream Class Reference
[Ipe Base]

Stream writing into an IpeString. More...

Inherits IpeTellStream.

List of all members.

## Public Member Functions

- IpeStringStream (IpeString &string)
- virtual void PutChar (char ch)
- virtual void PutString (IpeString s)
- virtual void PutCString (const char *s)
- virtual void PutRaw (const char *data, int size)
- virtual int Tell () const

## Detailed Description

Stream writing into an IpeString.

## Constructor & Destructor Documentation

IpeStringStream::IpeStringStream | ( | IpeString & | string | ) |

Construct with string reference.

## Member Function Documentation

void IpeStringStream::PutChar | ( | char | ch | ) | `[virtual]`

Output character.

Implements IpeStream.

void IpeStringStream::PutString | ( | IpeString | s | ) | `[virtual]`

Output string.

Reimplemented from IpeStream.

void IpeStringStream::PutCString | ( | const char * | s | ) | `[virtual]`

Output C string.

Reimplemented from IpeStream.

void IpeStringStream::PutRaw | ( | const char * | data,
|  | int | size |
| ) |  |  | `[virtual]`

Output raw character data.

Reimplemented from IpeStream.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp